/Users/bernard/b20/bsoft/include/mg_hand.h(3)

NAME
/Users/bernard/b20/bsoft/include/mg_hand.h - Author: David Belnap.

SYNOPSIS

#include 'mg_processing.h'
#include 'rwimg.h'

  Functions
int project_get_handedness (Bimage *penantiomer, Bproject *project, double *mg_ang, int *mg_index, int *mg_select, double rad_min, double rad_max, double res_min, double res_max, double AmB_min, double AB_min, int diff_out, int origins2, Bstring outimg)
Determines handedness for all selected particles (sel > 0) in a project.
int hand_select_consist (Bproject *project, double *mg_ang, int *mg_index, int *mg_select, int sel_consist)
Sets consistent selection values in all (including unused) micrographs.

Detailed Description

Author: David Belnap.

Date:
    Created: 20011003

    Modified: 20050906

Definition in file mg_hand.h.

Function Documentation

  int hand_select_consist (Bproject * project, double * mg_ang, int * mg_index, int * mg_select, int sel_consist)

Sets consistent selection values in all (including unused) micrographs.

Parameters:
    *project Project structure
    *mg_ang angles for micrograph selection, views 1 & 2
    *mg_index indices for micrograph selection, views 1 & 2
    *mg_select micrograph selection criteria, views 1 & 2
    sel_consist 1 or 2, set other selection values to those of this view

Returns:
    int 0.

    If a field-of-view contains more than two micrographs, the user can
    only use two of them to do the handedness determination.  The unused
    micrographs may need their selection values set to the same as those
    in the used micrographs (views 1 and 2).  In addition, there may be
    differences in the initial selection values for views 1 and 2.  This
    routine loops through the micrographs in a field-of-view and sets all
    selection values to those of view 1 or 2.

Definition at line 896 of file mg_hand.cpp.

  int project_get_handedness (Bimage * mapA, Bproject * project, double * mg_ang, int * mg_index, int * mg_select, double rad_min, double rad_max, double res_min, double res_max, double AmB_min, double AB_min, int diff_out, int origins2, Bstring outimg)

Determines handedness for all selected particles (sel > 0) in a project.

Parameters:
    *mapA 3D map (hand A)
    *project Project structure
    *mg_ang angles for micrograph selection, views 1 & 2
    *mg_index indices for micrograph selection, views 1 & 2
    *mg_select micrograph selection criteria, views 1 & 2
    rad_min minimum radius for FOM calculation (pixels)
    rad_max maximum radius for FOM calculation (pixels)
    res_min minimum resolution for FOM calculation (angs.)
    res_max maximum resolution for FOM calculation (angs.)
    AmB_min |FOMA - FOMB| must be this value or greater
    AB_min min. acceptable value for FOM of correct hand
    diff_out output difference of measured & predicted orientations
    origins2 flag to determine origins for second view
    outimg prefix & suffix for output projection files

Returns:
    int 0.

    Gets tilt-axis direction and rotation angle for a micrograph pair.
    Then, loops through the selected particles in pair.  Sends data to
    function get_handedness_from_tilt_pair, where handedness is
    determined.  Statistics are calculated for each pair and sums for
    global statistics are tabulated.

Definition at line 113 of file mg_hand.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.